<%@ include file="/WEB-INF/taglibs.jspf" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <tags:style url="/css/buttons.bar.css" />
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf"%>
<%@ include file="/WEB-INF/jsp/view/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jsp/account/logo.jspf" %>
<%--<%@ include file="/WEB-INF/jspf/account/admin/breadcrumbs.jspf" %>--%>

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Drop Zones --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title" /></tags:link>
    > <fmt:message key="DropZone.title" />
</div><br/>

<h1><fmt:message key="DropZone.title" /></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />

    <c:url var="actionUrl" value="/accounts/ManageDropZones" />
    <form action="${actionUrl}" method="post" id="itemsform">
        <div id="buttonsbar">
            <tags:input type="submit" name="additem"><jsp:attribute name="value"><fmt:message key="button.add.item"/></jsp:attribute></tags:input>&nbsp;
            <tags:input type="submit" name="deleteitem" disabled="true"><jsp:attribute name="value"><fmt:message key="button.delete"/></jsp:attribute></tags:input>
        </div>
        <table class="data" id="itemslist">
            <col width="1%"/><col width="15%"><col width="20%"/><col width="17%"/><col width="15%"/><col width="20%"/><col width="12%"/>
            <thead>
                <tr><tags:input type="checkbox" name="all" id="selectall" value="true" disabled="${true}">
                    <jsp:attribute name="template">
                        <th>${inputTag}</th>
                    </jsp:attribute>
                    </tags:input>
                    <th><fmt:message key="header.name"/></th>
                    <th><fmt:message key="header.url"/></th>
                    <th><fmt:message key="header.branding"/></th>
                    <th><fmt:message key="header.account"/></th>
                    <th><fmt:message key="header.path"/></th>
                    <th><fmt:message key="header.owner"/></th>
                </tr>
            </thead>
            <tbody>
                <c:forEach var="item" items="${requestScope.items}">
                    <tr>
                        <td><tags:input type="checkbox" name="name" value="${item.name}"/></td>
                        <td><tags:link encodeUrl="${false}">
                                <jsp:attribute name="url">
                                    <c:url value="/accounts/EditDropZone">
                                        <c:param name="name" value="${item.name}" />
                                    </c:url>
                                </jsp:attribute>
                                <jsp:body>
                                    <c:out value="${item.name}"/>
                                </jsp:body>
                            </tags:link></td>
                        <td><c:out value="${item.url}" /></td>
                        <td><c:out value="${item.urlBranding}" /></td>
                        <td><c:out value="${item.account}" /></td>
                        <td><c:out value="${item.path}" /></td>
                        <td><c:out value="${item.owner}" /></td>
                    </tr>
                </c:forEach>
            </tbody>
        </table>
    </form>
</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>
<%@ include file="js/init.jspf"%>

</body>
</html>