<%@ include file="/WEB-INF/taglibs.jspf" %>
<%@ taglib tagdir="/WEB-INF/tags/account" prefix="account" %>
<%@ taglib tagdir="/WEB-INF/tags/file" prefix="file" %>
<%@ taglib tagdir="/WEB-INF/tags/file/permission" prefix="permission" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <%@ include file="/WEB-INF/jspf/js/utils.jspf"%>
    <tags:script url="/js/Action.js" version="${buildVersion}"/>
    <tags:script url="/js/KeyEvent.js"/>
    <tags:script url="/js/editor/NumberEditor.js" version="${buildVersion}"/>
</head>
<body>

<%@ include file="/WEB-INF/jsp/view/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jsp/account/logo.jspf" %>
<%--<%@ include file="/WEB-INF/jspf/account/admin/breadcrumbs.jspf" %>--%>

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Users > Edit user account --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title" /></tags:link>
    > <tags:link url="/accounts/ManageUsers"><fmt:message key="admin.manage.users.title" /></tags:link>
    > <fmt:message key="admin.edit.user.title" />
</div><br/>

<h1><fmt:message key="admin.edit.user.title"/></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />
    
    <c:url var="actionUrl" value="/accounts/EditUser" />
    <form action="${actionUrl}" method="post" id="usersform">
        <fieldset>
            <legend><fmt:message key="admin.user.info" /></legend>
            <%@ include file="info.jspf" %>
        </fieldset>

        <%@ include file="../path/manage.jspf" %>

        <fieldset>
            <legend><fmt:message key="admin.user.quotas"/></legend>
            <c:choose>
                <c:when test="${requestScope.admin.administration.shareQuotas and sessionScope.managedAccount.owner eq requestScope.admin.login}">
                    <fmt:message key="admin.user.quotas.shared.info">
                        <fmt:param><b>${requestScope.admin.username}</b></fmt:param>
                    </fmt:message>
                </c:when>
                <c:otherwise>
                    <%@ include file="../quota/userQuotas.jspf"%>
                </c:otherwise>
            </c:choose>
        </fieldset>

        <fieldset>
            <legend><fmt:message key="admin.edit.user.DirectoryMonitors"/></legend>
            <table class="data">
                <thead>
                    <tr><th><fmt:message key="header.directory"/></th><th><fmt:message key="header.quota"/></th></tr>
                </thead>
                <tbody>
                <c:forEach var="monitor" items="${requestScope.accountDirectoryMonitors}">
                    <tr><td>${monitor.pathname}</td>
                        <td align="right"><c:if test="${not empty monitor.quota}">
                            <fmt:message key="label.quota.usage">
                                <fmt:param><file:size value="${monitor.quota.currentValue}"/></fmt:param>
                                <fmt:param><file:size value="${monitor.quota.value}"/></fmt:param>
                            </fmt:message>
                        </c:if></td>
                    </tr>
                </c:forEach>
                </tbody>
            </table>
        </fieldset>

        <%@ include file="ipaccess/manage.jspf" %>

        <p><tags:input type="submit" name="save">
                <jsp:attribute name="value">
                    <fmt:message key="button.ok" />
                </jsp:attribute>
            </tags:input>&nbsp;
            <tags:input type="submit" name="cancel">
                <jsp:attribute name="value">
                    <fmt:message key="button.cancel" />
                </jsp:attribute>
            </tags:input>
        </p>
    </form>

</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>

</body>
</html>