<%@ include file="/WEB-INF/taglibs.jspf" %>
<%@ taglib prefix="account" tagdir="/WEB-INF/tags/account" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
    <tags:style url="/css/buttons.bar.css" />
</head>
<body>

<%@ include file="/WEB-INF/jspf/js-enable.jspf"%>
<%@ include file="/WEB-INF/jsp/view/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jsp/account/logo.jspf" %>
<%--<%@ include file="/WEB-INF/jspf/account/admin/breadcrumbs.jspf" %>--%>

<div><%-- todo: implement breadcurmbs --%>
    <%-- Domain Administration > Users --%>
    <tags:link url="/accounts/ManageAccount"><fmt:message key="admin.title" /></tags:link>
    > <fmt:message key="admin.manage.users.title" />
</div><br/>

<h1><fmt:message key="admin.manage.users.title" /></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}" />

    <c:url var="actionUrl" value="/accounts/ManageUsers" />
    <form action="${actionUrl}" method="post" id="usersform">
        <input type="hidden" name="deleteownedaccounts" id="deleteownedaccounts" value="${false}"/>
        <div id="buttonsbar">
            <tags:input type="submit" name="adduser"><jsp:attribute name="value"><fmt:message key="button.add.item"/></jsp:attribute></tags:input>&nbsp;
            <tags:input type="submit" name="deleteuser" disabled="true"><jsp:attribute name="value"><fmt:message key="button.delete"/></jsp:attribute></tags:input>
        </div>
        <table class="data" id="userlist">
            <col width="1%"/><col width="25%"/><col width="20%" span="2"/><col width="17%" span="2"/>
            <thead>
                <tr><tags:input type="checkbox" name="all" id="selectall" value="true">
                    <jsp:attribute name="template">
                        <th>${inputTag}</th>
                    </jsp:attribute>
                    <jsp:attribute name="disabled">
                        ${fn:length(requestScope.accounts) == 0
                         or (fn:length(requestScope.accounts) == 1 and requestScope.accounts[0].login eq requestScope.domainAdminLogin)}
                    </jsp:attribute>
                    </tags:input>
                    <th><fmt:message key="header.username"/></th>
                    <th><fmt:message key="header.login"/></th>
                    <th><fmt:message key="header.email"/></th>
                    <th><fmt:message key="header.owner"/></th>
                    <th><fmt:message key="header.company"/></th>
                </tr>
            </thead>
            <tbody>
                <c:forEach var="account" items="${requestScope.accounts}">
                    <tr>
                        <td><c:if test="${account.login != requestScope.domainAdminLogin}">
                                <tags:input type="checkbox" name="login" value="${account.login}"/>
                            </c:if></td>
                        <td><c:if test="${not empty account.username}">
                            <account:link url="/accounts/EditUser" login="${account.login}">
                                <c:out value="${account.username}"/>
                            </account:link>
                        </c:if></td>
                        <td><account:link url="/accounts/EditUser" login="${account.login}">
                                <c:out value="${account.login}"/>
                            </account:link></td>
                        <td><c:if test="${not empty account.emailAddress}">
                                <tags:link url="mailto:${account.emailAddress}">${account.emailAddress}</tags:link>
                            </c:if></td>
                        <td><c:out value="${account.owner}" /></td>
                        <td><c:if test="${not empty account.company}"><c:out value="${account.company.name}" /></c:if></td>
                    </tr>
                </c:forEach>
            </tbody>
        </table>
    </form>
</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>
<%@ include file="js/init.jspf" %>

</body>
</html>