<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>

<jsp:useBean id="viewHelper" type="com.jscape.inet.mft.transport.web.accounts.AccountViewHelper" scope="request" />
<c:set var="account" value="${viewHelper.accountVO}" />
<jsp:setProperty name="account" property="*" />
<jsp:setProperty name="account" property="emailAddress" param="email" />
<jsp:setProperty name="account" property="companyName" param="company" />
<jsp:setProperty name="account" property="phoneCode" param="countrycode" />


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <title><fmt:message key="title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/account.css" version="${buildVersion}"/>
</head>
<body>

<%@ include file="/WEB-INF/jsp/view/loginInfo.jspf" %>
<%@ include file="/WEB-INF/jsp/account/logo.jspf" %>

<h1><fmt:message key="account.manage.title"/></h1>

<div id="account">
    <tags:responseResult result="${requestScope.responseResult}"/>
    <h2><fmt:message key="account.manage.info"/></h2>

    <div id="pi">
        <c:url var="actionUrl" value="/action/EditAccount"/>
        <form action="${actionUrl}" method="post">
            <table cellpadding="4" border="0">
                <tags:input type="text" name="username" value="${account.username}" size="50">
                    <jsp:attribute name="label">
                        <fmt:message key="label.name"/>
                    </jsp:attribute>
                    <jsp:attribute name="template">
                        <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                    </jsp:attribute>
                </tags:input>

                <tags:input type="text" name="login" value="${account.login}" disabled="true" size="35">
                    <jsp:attribute name="label">
                        <fmt:message key="label.login"/>
                    </jsp:attribute>
                    <jsp:attribute name="template">
                        <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                    </jsp:attribute>
                </tags:input>

                <tags:input type="text" name="email" value="${account.emailAddress}" size="35">
                    <jsp:attribute name="label">
                        <fmt:message key="label.email"/>
                    </jsp:attribute>
                    <jsp:attribute name="template">
                        <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                    </jsp:attribute>
                </tags:input>

                <tags:input type="text" name="company" value="${account.companyName}" size="35">
                    <jsp:attribute name="label">
                        <fmt:message key="label.company"/>
                    </jsp:attribute>
                    <jsp:attribute name="template">
                        <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
                    </jsp:attribute>
                </tags:input>

                <tags:input type="text" name="countrycode" value="${account.phoneCode}" size="4" >
                    <jsp:attribute name="label">
                        <fmt:message key="label.phone"/>
                    </jsp:attribute>
                    <jsp:attribute name="template">
                        <tr><td>${labelTag}</td><td>${inputTag}&nbsp;<tags:input type="text" name="phonenumber" value="${account.phoneNumber}" size="11"/>&nbsp;x&nbsp;<tags:input type="text" name="phoneextension" value="${account.phoneExtension}" size="4"/>
                    </jsp:attribute>
                </tags:input>
            </table><br/>

            <p><tags:input type="submit" name="save">
                    <jsp:attribute name="value">
                        <fmt:message key="button.save"/>
                    </jsp:attribute>
                </tags:input>&nbsp;
                <tags:input type="submit" name="cancel">
                    <jsp:attribute name="value">
                        <fmt:message key="button.cancel"/>
                    </jsp:attribute>
                </tags:input>
            </p>
        </form>
    </div>
</div>

<%@ include file="/WEB-INF/jsp/view/inactivity/service.jspf" %>

</body>
</html>