<%@ include file="/WEB-INF/taglibs.jspf" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <%@ include file="/WEB-INF/jspf/meta.jspf" %>
    <%@ include file="/WEB-INF/jspf/js/utils.jspf" %>
    <title><fmt:message key="EmailFile.title"/></title>
    <tags:style url="/css/base.css" />
    <tags:style url="/css/email.css" />
    <script type="text/javascript" language="JavaScript">if (top == self) { top.location.href = '<c:url value="/" />'; }</script>
</head>
<body id="compose">

<tags:responseResult result="${requestScope.responseResult}"/>

<c:url var="actionUrl" value="/action/EmailFile" />
<form action="${actionUrl}" method="post" accept-charset="utf-8" name="emailfile" id="emailfile">
    <tags:input type="hidden" name="send" value="true" />
    <c:forEach var="file" items="${requestScope.files}">
        <tags:input type="hidden" name="filename" value="${file}" />
    </c:forEach>

    <table class="layout" width="100%">
        <tags:input type="text" name="to" required="true">
            <jsp:attribute name="label">
                <fmt:message key="EmailFile.label.recipient"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${inputTag}&nbsp;<tags:image source="/img/addressbook.gif" id="clbtn"/></td></tr>
            </jsp:attribute>
            <jsp:attribute name="value">
                ${not empty param.to ? param.to : fn:join(requestScope.toAddresses, ', ')}
            </jsp:attribute>
        </tags:input>

        <tags:input type="text" name="from" required="true" value="${requestScope.fromAddress}" size="45">
            <jsp:attribute name="label">
                <fmt:message key="EmailFile.label.sender"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tags:input type="text" name="subject" required="true" value="${requestScope.subject}">
            <jsp:attribute name="label">
                <fmt:message key="EmailFile.label.subject"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tags:input type="textarea" name="message" rows="7" cols="59" value="${requestScope.message}">
            <jsp:attribute name="label">
                <fmt:message key="EmailFile.label.message"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td class="vt">${labelTag}</td><td>${inputTag}</td></tr>
            </jsp:attribute>
        </tags:input>

        <tr>
            <td class="vt"><tags:label><fmt:message key="EmailFile.label.files"/></tags:label></td>
            <td><div id="filelist">
                <c:forEach var="path" items="${requestScope.filePreviewList}"><c:out value="${path}"/><br/></c:forEach></div>
            </td>
        </tr>

        <c:set var="linkExpiresRangeValue"><c:out value="${param.expires}" default="5" /></c:set>
        <tags:select name="expires"
                     begin="${requestScope.linkExpiresRange.lowerBound}"
                     end="${requestScope.linkExpiresRange.upperBound}"
                     step="${requestScope.linkExpiresRange.step}"
                     selected="${linkExpiresRangeValue}">
            <jsp:attribute name="label">
                <fmt:message key="EmailFile.label.expiresPeriod"/>
            </jsp:attribute>
            <jsp:attribute name="template">
                <tr><td>${labelTag}</td><td>${selectTag}&nbsp;<fmt:message key="EmailFile.label.expiresPeriodUnit"/></td></tr>
            </jsp:attribute>
        </tags:select>
    </table>
</form>

<script type="text/javascript">top.${applicationScope.methodInvokerRegisterContactListControl}($('clbtn'));top.${applicationScope.methodInvokerRegisterTargetFieldInput}($('to'));</script>
<jsp:include page="/accounts/ContactList">
    <jsp:param name="methodInvokerSetContacts" value="top.${applicationScope.methodInvokerSetContacts}" />
</jsp:include>

</body>
</html>


