var EmailFile = Class.create({

    url: null,
    contactList: null,
    dialog: null,
    dialogListener: null,

    _constructor: function(url) {
        this.url = url;
        this.contactList = new ContactList();
        this.dialogListener = {
            onSubmit: function() {this.contactList.hideContactList();}.bind(this),
            onCancel: function() {this.contactList.hideContactList();}.bind(this)
        };
    },

    getContactList: function() {
        return this.contactList;
    },

    compose: function(filenames) {
        this._disposeDialog();

        this.dialog = new EmailFileDialog(this.url);
        var viewport = document.viewport.getDimensions();
        this.dialog.setSize(viewport.width * 0.5, viewport.height * 0.73);

        this.dialog.show(filenames, this.dialogListener);
    },

    onEmailSent: function() {
        this._disposeDialog();

        alert(EmailFile.Messages.SUCCESS);
    },

    _disposeDialog: function() {
        if (this.dialog != null) {
            this.dialog.dispose();
            this.dialog = null;
        }
    }

});

EmailFile.Messages = {SUCCESS: "File(s) emailed successfully."};