var EmailFileDialog = Class.create(ModalDialog, {

    form: null,
    channel: null,
    listener: null,

    _constructor: function(url) {
        this.channel = new IFrameChannel("EmailFileDataChannel");
        this.channel.setPreventCaching(true);
        this.channel.open(url, IFrameChannel.Method.POST);
        this.channel.addLoadListener(this.onFormLoaded.bind(this));

        var content = this.getContent();
        content.appendChild(this.channel.asElement());
        Utils.setStyle(this.channel.asElement(), {width: 0, height: 0, display: "none"});

        this.setTitle(EmailFileDialog.TITLE);
        this.addButton(ModalDialog.BUTTON_OK, EmailFileDialog.Buttons.OK, this.onSubmit.bind(this));
        this.addButton(ModalDialog.BUTTON_CANCEL, EmailFileDialog.Buttons.CANCEL, this.onCancel.bind(this));
    },

    getId: function() {
        return "EmailFileDialog";
    },

    show: function(filenames, listener) {
        this.form = null;
        this.listener = listener;
        this.channel.send({filename: filenames});

        this.setButtonEnabled(ModalDialog.BUTTON_OK, false);
        this.setVisible(true);
    },

    dispose: function() {
        this.form = null;
        this.channel.close();
        this._super.dispose.call(this);
    },

    onSubmit: function() {
        if (this.listener != null) {
            this.listener.onSubmit();
        }

        this.setButtonEnabled(ModalDialog.BUTTON_OK, false);
        if (this.form != null) {
            this.form.submit();
        }
    },

    onCancel: function() {
        this.setVisible(false);
        this.channel.close();

        if (this.listener != null) {
            this.listener.onCancel();
        }
    },

    onFormLoaded: function() {
        var forms = this.channel.asDocument().forms;

        if (forms.length != 0) {
            this.form = forms[0];
            Event.observe(this.form, "submit", this.onSubmit.bind(this));
        } else {
            this.form = null;
        }

        Utils.setStyle(this.channel.asElement(), {width: "100%", height: "100%", display: "block"});
        this.setButtonEnabled(ModalDialog.BUTTON_OK, true);
    }

});

EmailFileDialog.TITLE = "Email File(s)";
EmailFileDialog.Buttons = {OK: 'Send', CANCEL: 'Cancel'};
