var GenerateKeyDialog = Class.create(ModalDialog, {

    form: null,
    channel: null,
    messageHolder: null,

    _constructor: function(url) {
        this.channel = new IFrameChannel("GenerateKeyDataChannel");
        this.channel.setPreventCaching(true);
        this.channel.open(url);
        this.channel.addLoadListener(this.onFormLoaded.bind(this));

        var content = this.getContent();
        this.messageHolder = content.appendChild(document.createElement(Tag.DIV));
        content.appendChild(this.channel.asElement());

        Utils.setStyle(this.messageHolder, {display: "none", textAlign: "center", margin: "2em auto"});
        Utils.setStyle(this.channel.asElement(), {width: 0, height: 0, display: "none"});

        this.setTitle(GenerateKeyDialog.TITLE);
        this.addButton(ModalDialog.BUTTON_OK, GenerateKeyDialog.Buttons.OK, this.onSubmit.bind(this));
        this.addButton(ModalDialog.BUTTON_CANCEL, GenerateKeyDialog.Buttons.CANCEL);
    },

    getId: function() {
        return "GenerateKeyDialog";
    },

    dispose: function() {
        this.form = null;
        this.channel.close();
        this._super.dispose.call(this);
    },

    setVisible: function(visible) {
        if (visible) {
            this.setButtonEnabled(ModalDialog.BUTTON_OK, false);
            this.setMessage(GenerateKeyDialog.Messages.LOADING);
            this.form = null;
            this.channel.send("");
        }

        this._super.setVisible.call(this, visible);
    },

    setMessage: function(message) {
        if (message != null) {
            while (this.messageHolder.hasChildNodes()) {
                this.messageHolder.removeChild(this.messageHolder.lastChild);
            }
            this.messageHolder.appendChild(document.createTextNode(message));

            Utils.setStyle(this.channel.asElement(), {display: "none"});
            Utils.setStyle(this.messageHolder, {display: "block"});
            this.pack();
        } else {
            Utils.setStyle(this.channel.asElement(), {width: "100%", height: "100%", display: "block"});
            Utils.setStyle(this.messageHolder, {display: "none"});
            this.setSize(580, 320);
        }
    },

    onSubmit: function() {
        if (this.form != null) {
            this.setButtonEnabled(ModalDialog.BUTTON_OK, false);
            this.setMessage(GenerateKeyDialog.Messages.GENERATING);
            this.form.submit();
        }
    },

    onFormLoaded: function() {
        var forms = this.channel.asDocument().forms;

        if (forms.length != 0) {
            this.form = forms[0];
            Event.observe(this.form, "submit", this.onSubmit.bind(this));
        } else {
            this.form = null;
        }

        this.setButtonEnabled(ModalDialog.BUTTON_OK, true);
        this.setMessage(null);
    }

});

GenerateKeyDialog.TITLE = "Generate Key";
GenerateKeyDialog.Buttons = {OK: 'OK', CANCEL: 'Cancel'};
GenerateKeyDialog.Messages = {LOADING: "Loading...", GENERATING: "Generating..."};
